Documentation Index
Fetch the complete documentation index at: https://smartcar.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
This endpoint is currently available for tesla
Permission
control_pin
Request
Path
The vehicle ID of the vehicle you are making a request to.
The make of the vehicle you are making a request to.
Body
curl "https://api.smartcar.com/v2.0/vehicles/{id}/{make}/pin" \
-H "Authorization: Bearer {token}" \
-X "POST" \
-H "Content-Type: application/json" \
-d '{"pin" : "1234"}'
Response
If the request is successful, Smartcar will return βsuccessβ.
If the request is successful, Smartcar will return a message.
{
"message": "Successfully sent request to vehicle",
"status": "success"
}
- Calling this endpoint will override an existing PIN on the vehicle.
- Call
DELETE PIN to Drive in order to enable this feature and set the PIN
- Currently both owner and driver account types can set a PIN for the vehicle and enable the feature via the API.
- Only account owners can disable this feature from the Tesla app.